# Created by pyp2rpm-3.3.5
%global pypi_name nest_asyncio

%global _description %{expand:
By design asyncio does not allow its event loop to be nested. This presents a 
practical problem: When in an environment where the event loop is already 
running it is impossible to run tasks and wait for the result. Trying to do 
so will give the error "RuntimeError: This event loop is already running". The 
issue pops up in various environments, such as web servers, GUI applications 
and in Jupyter notebooks. This module patches asyncio to allow nested use 
of asyncio.run and loop.run_until_complete.
}

Name:           python-%{pypi_name}
Version:        1.4.3
Release:        1%{?dist}
Summary:        Patch asyncio to allow nested event loops

License:        BSD
URL:            https://github.com/erdewit/nest_asyncio
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
%_description

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%_description

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/__pycache__/%{pypi_name}*
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Thu Nov 26 2020 Mukundan Ragavan <nonamedotc@gmail.com> - 1.4.3-1
- Initial package.
